文档首页> 分布式缓存服务 DCS> 常见问题> 扩容缩容与实例升级> Redis实例是否支持版本升级,如Redis 3.0升级到Redis 4.0/Redis 5.0?
更新时间:2022-04-22 GMT+08:00
分享

Redis实例是否支持版本升级,如Redis 3.0升级到Redis 4.0/Redis 5.0?

不支持。Redis不同版本的底层架构不一样,在创建Redis实例时,确定Redis版本后,将不能修改,如Redis 3.0的实例不能升级到Redis 4.0或Redis 5.0。

如您的业务需要使用Redis高版本的功能特性,可重新创建高版本Redis实例,然后将原有Redis实例的数据迁移到高版本实例上。具体数据迁移操作,可参考数据迁移指南

分享:

扩容缩容与实例升级所有常见问题

more

close